System.Data 2.0.0.0 System.Enum

The enumeration is used by the class to indicate what action fired the trigger.

For more information, see the Transact-SQL Reference of SQL Server Books Online.

The enumeration is used by the class to indicate what action fired the trigger.

- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER APPLICATION ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER ASSEMBLY Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER_REMOTE_SERVICE_BINDING event type was specified when an event notification was created on the database or server instance.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER INDEX Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER LOGIN Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER PARTITION FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER PARTITION SCHEME Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER PROCEDURE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER QUEUE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER ROUTE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER SCHEMA Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER SERVICE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER TABLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER TRIGGER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER USER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An ALTER VIEW Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE APPLICATION ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE ASSEMBLY Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE_REMOTE_SERVICE_BINDING event type was specified when an event notification was created on the database or server instance.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE CONTRACT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE EVENT NOTIFICATION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE INDEX Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE LOGIN Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE MESSAGE TYPE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE PARTITION FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE PARTITION SCHEME Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE PROCEDURE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE QUEUE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE ROUTE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE SCHEMA Transact-SQL statement was executed.

  2.0.0.0
- Field
  2.0.0.0
  Microsoft.SqlServer.Server.TriggerAction

  Not available.

- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE SERVICE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE SYNONYM Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE TABLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE TRIGGER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE TYPE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE USER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A CREATE VIEW Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DELETE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DENY Object Permissions Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP APPLICATION ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP ASSEMBLY Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP_REMOTE_SERVICE_BINDING event type was specified when an event notification was created on the database or server instance.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP CONTRACT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP EVENT NOTIFICATION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP INDEX Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP LOGIN Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP MESSAGE TYPE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP PARTITION FUNCTION Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP PARTITION SCHEME Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP PROCEDURE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP QUEUE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP ROLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP ROUTE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP SCHEMA Transact-SQL statement was executed.

  2.0.0.0
- Field
  2.0.0.0
  Microsoft.SqlServer.Server.TriggerAction

  Not available.

- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP SERVICE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP SYNONYM Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP TABLE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP TRIGGER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP TYPE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP USER Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A DROP VIEW Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A GRANT OBJECT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A GRANT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An INSERT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An invalid trigger action, one that is not exposed to the user, occurred.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A REVOKE OBJECT Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  A REVOKE Transact-SQL statement was executed.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.TriggerAction

  An UPDATE Transact-SQL statement was executed.

  2.0.0.0